<section class="container preferenceRemplacant profil annonce">

      <div class="row">
        <h2 class="col-md-offset-1 col-md-9 col-lg-offset-2 col-lg-10 titre">Vos préférences géographiques</h2>
      </div>
      <div class="row">
        <div class="col-sm-offset-3 col-sm-6 col-md-7">
          <p id="description"> Dans cette section vous pouvez définir les zones géographieques où vous voudriez remplacé quelqu'un.
             Lorsque vous définissez des zones de recherche les installé qui ont leurs offres dans ces zones pourrons voir votre profil.
             De plus si un nouveau installé propose une offre dans une de ces zones vous serez notifié par mail automatiquement.
             Aprés avoir ajouté une zone vous pouvez la modifier en augmentant son rayon ou en la déplaçant.</p>
        </div>
      </div>
      

      <div class="row carte">
        <div class="col-sm-8 mapCarte">
          <div map-lazy-load="https://maps.google.com/maps/api/js" map-lazy-load-params="{{googleMapsUrl}}">
            <ng-map center="47, 3" zoom="6" style="height: 600px;">
              <shape ng-repeat="p in destinations" id="{{p.idDestination}}" name="circle" centered="true"
                stroke-color='#F85A3E' stroke-opacity="0.6"stroke-weight="2"
                center="{{p.lat}},{{p.lng}}" radius="{{p.rayon}}" editable="true" on-radius_changed="circleChange({{p}})" on-center_changed="circleChange({{p}})" ></shape>
            </ng-map>
          </div>
        </div>

        <div class="col-sm-4 listeRecherche">

          <h2>Ajouter une zone de recherche :</h2>

          <form name="form" class="form-group" ng-submit="addDestiantion()">
              <input ng-model="dest.ville" class="form-control" type="text" id="ville" name="ville" placeholder="Ville à ajouter"></input>
              <button class="btn btn-success" type="submit">Ajouter</button>
              <div ng-show="erreurVille"><br><p class="alert alert-danger">Aucune ville portant ce nom a été trouvé.</p></div><br>
          </form><br>

          <h2>Liste de vos zones de recherche :</h2><br>
          <div ng-repeat="p in destinations">
            <p>Latitude : {{p.lat}}</p>
            <p>Longitude : {{p.lng}}</p>
            <p>Rayon : {{p.rayon}}</p>
            <button type="button" class="btn btn-danger" ng-click="supprimerDest(p.idDestination)">Supprimer cette zone</button>
            <br><br><br>
          </div>
        </div>
      </div>
    
</section>